#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	jemalloc
Version		:	5.3.0
Release		:	17.0.10.rel%{?dist}
Summary		:	General-purpose scalable concurrent malloc implementation

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD
URL		:	http://www.canonware.com/jemalloc/
			# https://github.com/jemalloc/

Source0		:	%{name}-%{version}.tar.bz2

#-----------------------------------------------------------------------------
BuildRequires	:	gcc
BuildRequires	:	make
#-----------------------------------------------------------------------------
%description
General-purpose scalable concurrent malloc(3) implementation.
This distribution is the stand-alone "portable" implementation of %{name}.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc COPYING README VERSION
%doc doc/%{name}.html
%{_libdir}/libjemalloc.so.2
%{_bindir}/jemalloc.sh

#=============================================================================
%package		devel
Summary		:	Development files for %{name}
	
#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and
header files for developing applications that
use %{name}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_bindir}/jeprof
%{_bindir}/%{name}-config
%{_includedir}/%{name}/%{name}.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_mandir}/man3/%{name}.3.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
	--prefix=%{_prefix}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}/	\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install


# Install this with doc macro instead
%{__rm} %{buildroot}%{_datadir}/doc/%{name}/%{name}.html

#To remove static library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.a					\
	-delete

#-----------------------------------------------------------------------------
%changelog
